searchData={"items":[{"type":"module","title":"Excrc32c","doc":"A pure Elixir implementation of the CRC32C algorithm.","ref":"Excrc32c.html"},{"type":"module","title":"Usage - Excrc32c","doc":"```elixir\r\niex> Excrc32c.crc32c(\"123456789\")\r\n3808858755\r\niex> Excrc32c.crc32c(\"DYB|O\")\r\n0\r\n```","ref":"Excrc32c.html#module-usage"},{"type":"function","title":"Excrc32c.crc32c/1","doc":"Calculates the CRC32C of the binary.","ref":"Excrc32c.html#crc32c/1"},{"type":"extras","title":"excrc32c","doc":"# excrc32c\r\n\r\nA pure Elixir implementation of CRC32C.\r\n\r\nCode is copied from [here](https://gist.github.com/tomciopp/2d174f3960b6386e86167268b1a9875d) and distributed as a package on Hex.pm\r\n\r\nAll credit goes to the original author(s):\r\n- [tomciopp](https://github.com/tomciopp)\r\n- [oliveigah](https://github.com/oliveigah)","ref":"readme.html"},{"type":"extras","title":"Installation - excrc32c","doc":"The package can be installedby adding `excrc32c` to your list of dependencies in `mix.exs`:\r\n\r\n```elixir\r\ndef deps do\r\n  [\r\n    {:excrc32c, \"~> 0.1.0\"}\r\n  ]\r\nend\r\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - excrc32c","doc":"```elixir\r\niex> Excrc32c.crc32c(\"123456789\")\r\n3808858755\r\niex> Excrc32c.crc32c(\"DYB|O\")\r\n0\r\n```","ref":"readme.html#usage"},{"type":"extras","title":"Performance - excrc32c","doc":"Tested using [`benchee`](https://github.com/bencheeorg/benchee) against [`crc32cer`](https://github.com/zmstone/crc32cer) (NIF):\r\n```\r\nName             ips        average  deviation         median         99th %\r\nnif           3.11 K        0.32 ms    ±33.60%        0.31 ms        0.51 ms\r\nelixir       0.130 K        7.69 ms     ±1.92%        7.68 ms        8.24 ms\r\n\r\nComparison:\r\nnif           3.11 K\r\nelixir       0.130 K - 23.90x slower +7.37 ms\r\n```","ref":"readme.html#performance"},{"type":"extras","title":"LICENSE","doc":"MIT License\r\n\r\nCopyright (c) [2025] [c2bw]\r\n\r\nPermission is hereby granted, free of charge, to any person obtaining a copy\r\nof this software and associated documentation files (the \"Software\"), to deal\r\nin the Software without restriction, including without limitation the rights\r\nto use, copy, modify, merge, publish, distribute, sublicense, and/or sell\r\ncopies of the Software, and to permit persons to whom the Software is\r\nfurnished to do so, subject to the following conditions:\r\n\r\nThe above copyright notice and this permission notice shall be included in all\r\ncopies or substantial portions of the Software.\r\n\r\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\r\nIMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\r\nFITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\r\nAUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\r\nLIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,\r\nOUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE\r\nSOFTWARE.","ref":"license.html"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.3"}}